#ifndef DIALOGMANAGEPLUGINS_H
#define DIALOGMANAGEPLUGINS_H

#include <QDialog>
#include <QTreeWidgetItem>
#include "QNNTPGrabGlue.h"
#include "ConfigGuiOpts.h"

namespace Ui {
    class DialogManagePlugins;
}

class DialogManagePlugins : public QDialog {
    Q_OBJECT
public:
    DialogManagePlugins(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~DialogManagePlugins();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::DialogManagePlugins *ui;
    QNNTPGrabGlue *glue;
    ConfigGuiOpts gui_opts;

private slots:
    void on_treeWidget_itemSelectionChanged();
    void onpluginLoaded(QString plugin_name, bool is_persistent);
    void onpluginUnloaded(QString plugin_name);
    void itemChanged(QTreeWidgetItem *item, int column);
};

#endif // DIALOGMANAGEPLUGINS_H
