#ifndef WIDGETCONFIGNOTIFICATIONS_H
#define WIDGETCONFIGNOTIFICATIONS_H

#include <QWidget>
#include <QNNTPGrabGlue.h>
#include "ConfigGuiOpts.h"

class MainWindow;   /* Prevent recursion */

namespace Ui {
    class WidgetConfigNotifications;
}

class WidgetConfigNotifications : public QWidget {
    Q_OBJECT
public:
    WidgetConfigNotifications(QNNTPGrabGlue *glue, MainWindow *mainwindow, QWidget *parent = 0);
    ~WidgetConfigNotifications();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetConfigNotifications *ui;
    QNNTPGrabGlue *glue;
    ConfigGuiOpts opts;
    MainWindow *mainwindow;

private slots:
    void chkNotificationFileDownloaded_toggled(bool toggled);
    void chkNotificationFileDecoded_toggled(bool toggled);
};

#endif // WIDGETCONFIGNOTIFICATIONS_H
