#include <QtGui/QApplication>
#ifdef WIN32
#include <windows.h>
#endif

#include "mainserverwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainServerWindow w;

#ifdef WIN32
    // exchndl.dll is part of Dr. MinGW. By loading this DLL, every time the
    // program crashes a .RPT file will be created containing the backtrace
    LoadLibraryA("exchndl.dll");
#endif

    w.show();

    return a.exec();
}
