#ifndef PROGRESSBARDELEGATE_H
#define PROGRESSBARDELEGATE_H

#include <QItemDelegate>
#include <QModelIndex>
#include <QObject>
#include <QProgressBar>

class ProgressBarDelegate : public QItemDelegate
{
	Q_OBJECT

public:
	ProgressBarDelegate(QObject *parent);
	~ProgressBarDelegate();
	
	QSize sizeHint(const QStyleOptionViewItem& /*option*/, const QModelIndex& /*index*/) const 
	{ 
		return QSize(60,16); 
	}
	void paint(QPainter* painter, const QStyleOptionViewItem& option, const QModelIndex& index) const;
	
};

#endif // PROGRESSBARDELEGATE_H
