#ifndef WIDGETTRAFFICMONITOR_H
#define WIDGETTRAFFICMONITOR_H

#include <QWidget>
#include <QNNTPGrabGlue.h>
#include <sys/time.h>

namespace Ui {
    class WidgetTrafficMonitor;
}

class WidgetTrafficMonitor : public QWidget {
    Q_OBJECT
public:
    WidgetTrafficMonitor(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~WidgetTrafficMonitor();

protected:
    void changeEvent(QEvent *e);
    void paintEvent(QPaintEvent *e);

private:
    Ui::WidgetTrafficMonitor *ui;
    QNNTPGrabGlue *glue;
    int bytes_received[10];
    QDateTime stamp;
    double average;

private slots:
    void onTrafficMonitorUpdate(int bytes_received1, int bytes_received2, int bytes_received3, int bytes_received4, int bytes_received5, int bytes_received6, int bytes_received7, int bytes_received8, int bytes_received9, int bytes_received10, QDateTime stamp, double average);
};

#endif // WIDGETTRAFFICMONITOR_H
